/* Контентная часть */

.title-block {
    background: var(--color-2);
    background: linear-gradient(45deg, var(--color-2), var(--color-1));
    color: #fff;
    padding: 45px 0;
	/* margin-bottom: 30px; */
    margin-bottom: calc(var(--bs-gutter-y) * 1.5);
	position: relative;
	z-index: 1;
}

.title-block:before {
    content: "";
    background: linear-gradient(45deg, var(--color-2), transparent);
    position: absolute;
	z-index: -1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}


.title {font-size: 3rem;}


.post-content {
	background: #fff; 
	border-left: 1px solid var(--color-line);
    border-right: 1px solid var(--color-line);
	padding: var(--bs-gutter-x) calc(var(--bs-gutter-x) * 2);
	height: 100%;
}

#path {font-size: 0.9rem;}
#path a {font-weight: 600; text-decoration: none;}

.post-content #path {margin-bottom: 10px;}
.post-content .title {font-size: 2rem;}

@media (max-width: 1200px) { #content {width: 100%;} }

@media (max-width:  576px) { 
	.post-content {border: none; padding: 30px 0;}
	#path {display: none;}
	.title {font-size: 1.6rem;}
}




/* Форматирование на странице */

.area {font-size: 1.1rem; text-align: left;}

.area a {text-decoration: underline; text-decoration-style: dotted;}
.area a:hover {text-decoration: none;}

.area p, .area h2, .area > img, .area > div, .area table {margin-bottom: var(--bs-gutter-x);}
.area > h2:not(:first-child) {margin-top: calc(var(--bs-gutter-x) * 2);}
.area > *:last-child {margin-bottom: 0;}

.area p, .area ul li {
    line-height: 1.5;
    /* text-align: justify;
    hyphens: auto;
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto; */
}

.area > ul, .area > ol {display: inline-block; margin-bottom: calc(var(--bs-gutter-x) / 2); width: 100%; padding-left: 20px;}
.area ul li, .area ol li {width: 100%; margin-bottom: calc(var(--bs-gutter-x) / 2); list-style: square; position: relative; line-height: 1.5;}
.area ul li:last-child, .area ol li:last-child {margin-bottom: 0;}
.area ul li::marker {color: var(--color-1);}

.area td, .area th, .area .wp-block-table td {padding: calc(var(--bs-gutter-x) / 2); border: 1px solid var(--color-line);}
.area th {font-weight: 600;}

blockquote {position: relative; font-style: italic; border-left: 3px solid var(--color-1); padding-left: var(--bs-gutter-x); margin-bottom: var(--bs-gutter-x); color: #555;}
  
.alignleft {display: inline; float: left; margin-right: 30px; margin-bottom: 15px;}
.alignright {display: inline; float: right; margin-left: 30px; margin-bottom: 15px;}
.aligncenter {display: block; margin-right: auto; margin-left: auto; margin-bottom: 15px;}

.buttons {display: flex; flex-wrap: wrap; gap: 15px 30px;}
.buttons.center {justify-content: center;}

.btn {
    background: var(--color-4);
    color: #fff;
    padding: 0 30px;
    line-height: 50px;
    font-size: 1.2rem;
    border: 2px solid var(--color-4);
    border-radius: 50px;
    text-decoration: none !important;
    cursor: pointer;
    display: block;
	white-space: nowrap;
    text-align: center;
    text-transform: uppercase;
}

.btn:hover {border: 2px solid var(--color-4-2); background: var(--color-4-2);}

.btn.btn-o {background: none; color: inherit;}
.btn.btn-o:hover {color: var(--color-1);}

.clear {clear: both;}

#more_posts {
    background: var(--color-line);
    border: 0;
    padding: 15px 50px;
    border-radius: 5px;
    display: block;
    margin: 0 auto 30px;
    cursor: pointer;
}

@media (max-width: 1400px) { 
    .btn {line-height: 40px; font-size: 1rem;}
}

@media (max-width: 1200px) { img.alignleft, img.alignright {max-width: 400px;} }

@media (max-width: 576px) { 
	.area table {font-size: 0.9rem; overflow-x: scroll; display: inline-block;} 
	.area img {display: block;}
	.area > h2:after, .post-content > h2:after {display: none;}
}

@media (max-width: 380px) { 
	.area h2, #post-content h2, .area p, .area table, .area > img, .area > div {margin-bottom: 20px;}
	.area > ul, .area > ol {margin-bottom: 5px;}
}




/* Медиа / Текст */

.wp-block-media-text__content ul, .wp-block-media-text__content ol {padding-left: 20px;}

@media (max-width: 768px) { 
    .wp-block-media-text.is-stacked-on-mobile {grid-template-columns: 100%!important;}
    .wp-block-media-text.is-stacked-on-mobile .wp-block-media-text__media {grid-column: 1; grid-row: 1; margin-bottom: var(--bs-gutter-x);}
    .wp-block-media-text.is-stacked-on-mobile .wp-block-media-text__content {grid-column: 1; grid-row: 2; padding: 0;}
}






/* Расходники */

/* .row > .item {
	padding: 0 calc(var(--bs-gutter-x) / 2);
    margin-bottom: var(--bs-gutter-x);
} */

.row .item > * {
    height: 100%;
    background: #fff;
    border: 1px solid var(--color-line);
    display: block;
    color: inherit;
	text-decoration: none;
}

.row .item > a:hover {border-color: var(--color-1);}

.icon-text .item > * {display: flex; align-items: center; padding: 30px;}
.icon-text .item > * .image {width: 20%; font-size: 4rem; text-align: center; color: var(--color-1);}
.icon-text .item > * .text {width: 80%; padding-left: 30px; font-family: 'Montserrat', sans-serif;}

.icon-text-vertical .item > * {text-align: center; padding: 30px;}
.icon-text-vertical .item > * .image {margin-bottom: 30px;}
.icon-text-vertical .item > * .text {font-family: 'Montserrat', sans-serif;}


.image-text .item > * {display: flex; align-items: center;}
.image-text .item > * .image {width: 30%; height: 100%;}
.image-text .item > * img {object-fit: cover; height: 100%; display: block;}
.image-text .item > * .text {width: 70%; padding: 30px;}

.image-text-vertical .item > * {text-align: center;}
.image-text-vertical .item > * img {width: 100%; display: block;}
.image-text-vertical .item > * .text {padding: 30px;}


.number-text .item > * {display: flex; align-items: center;}
.number-text .item > * .number {
    width: 30%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 7rem;
    font-weight: 600;
    color: #eee;
}
.number-text .item > * .text {width: 70%; padding: 30px;}


.number-text-vertical .item > * {text-align: center; padding: 30px;}
.number-text-vertical .item > * .number {margin-bottom: 15px; font-size: 4rem; color: var(--color-1);}
/* .number-text-vertical .item > * .text {} */

.number-text.in-order {counter-reset: schetchik;}
.number-text.in-order .item {counter-increment: schetchik;}
.number-text.in-order .item > * .number:before {content: counter(schetchik);}


.items.owl-carousel {margin: 0 0 30px;}
.items.owl-carousel .owl-stage {display: flex; flex-wrap: wrap;}
.items.owl-carousel .item {padding: 0; margin-bottom: 0; height: 100%; width: 100%;}



/* Blocks */

.area-block > p, .area-block > ul, .area-block > h2, .area-block > h3, .area-block > h4 {
    width: 100%;
    max-width: 1320px;
    margin-left: auto;
    margin-right: auto;
    padding-right: var(--bs-gutter-x, 0.75rem);
    padding-left: var(--bs-gutter-x, 0.75rem);
}

.area-block > p, .area-block > ul, .area-block > h2, .area-block > h3, .area-block > h4, .area-block > div, .area-block > figure {
    margin-bottom: calc(var(--bs-gutter-y) * 1.5);
}








/* Сайтбар, Виджеты */

aside {min-width: 250px; padding-right: calc(var(--bs-gutter-x) * .5);}

aside .widget {margin-bottom: var(--bs-gutter-x); background: #fff; padding: var(--bs-gutter-x); border: 1px solid var(--color-line);}
aside .widget:first-child {border-top: 0;}
aside > *:last-child {margin-bottom: 0;}
  
aside .widget a {color: inherit;}  

.headwidget, .headwidget a {text-align: center; position: relative; margin-bottom: var(--bs-gutter-x);}

.headwidget:after {
    content: "";
    width: 60px;
    margin-left: -30px;
    height: 2px;
    background: var(--color-1);
    position: absolute;
    bottom: -5px;
    left: 50%;
}

aside .widget > ul, aside .widget > ol, .textwidget > ul {padding: 0 0 0 30px;}
aside .widget > ul li, aside .widget > ol li {margin-bottom: 7px;}

@media (max-width: 1200px) { aside {display: none;} }


/* Подвал */

body > footer {position: relative; z-index: 66; background: var(--color-1); color: #fff; padding: 5rem 0;}

body > footer a {color: #fff;}
body > footer a:hover {text-decoration: underline;}
  
body > footer p {margin-bottom: var(--bs-gutter-x);}

body > footer i {color: var(--color-1);}

body > footer ul {padding-left: 20px;}
body > footer li {list-style: none; margin-bottom: 7px; text-align: left;}
body > footer li:last-child {margin-bottom: 0;}

body > footer li a:before {
    content: "\ec1b";
    font-family: "icomoon";
    color: var(--color-1);
    display: inline-block;
    margin-left: -20px;
    width: 20px;
	font-size: 0.8rem;
}

body > footer ul.sub-menu, body > footer ul.children {display: none;}

body > footer .social {
    font-size: 1.8rem;
    display: flex;
    justify-content: flex-end;
    gap: 25px;
}

body > footer .details {
    line-height: 150%;
    font-size: 1.1rem;
}

body > footer .contacts {
    line-height: 150%;
    font-size: 1.5rem;
    font-weight: 500;
}



body > footer .footer-info {font-size: 0.8rem; opacity: 0.5;}

@media (max-width: 992px) {  
    body > footer .social-wrap {order: 9;}
    body > footer .social {justify-content: center;}
    body > footer .contacts {text-align: center; margin-top: 50px;}
    body > footer .details {order: 12;text-align: center;}
}

@media (max-width: 480px) {  
    body > footer .contacts {margin-top: 30px; font-size: 1.3rem;}
    body > footer .details {font-size: 1rem;}
    body > footer .social img {max-width: 50px;}
}

@media (max-width: 380px) {  
    body > footer .contacts {font-size: 1.1rem;}
    body > footer .details {font-size: 0.8rem;}
    body > footer .social img {max-width: 45px;}
}



/* плавное изменение прозрачности placeholder-а при фокусе */
input::-webkit-input-placeholder, textarea::-webkit-input-placeholder       {opacity: 1; color: var(--color-3-2); transition: opacity 0.3s ease;}
input::-moz-placeholder, textarea::-moz-placeholder                {opacity: 1; color: var(--color-3-2); transition: opacity 0.3s ease;}
input:-moz-placeholder, textarea:-moz-placeholder                 {opacity: 1; color: var(--color-3-2); transition: opacity 0.3s ease;}
input:-ms-input-placeholder, textarea:-ms-input-placeholder            {opacity: 1; color: var(--color-3-2); transition: opacity 0.3s ease;}

input:focus::-webkit-input-placeholder, textarea:focus::-webkit-input-placeholder {opacity: 0;}
input:focus::-moz-placeholder, textarea:focus::-moz-placeholder        {opacity: 0;}
input:focus:-moz-placeholder, textarea:focus:-moz-placeholder           {opacity: 0;}
input:focus:-ms-input-placeholder, textarea:focus:-ms-input-placeholder      {opacity: 0;}

/* Текст предназначен только для чтения с экрана */
.screen-reader-text {clip: rect(1px, 1px, 1px, 1px); position: absolute !important;	height: 1px; width: 1px; overflow: hidden;}


#Go_Top {
	position: fixed;
	right: 70px;
	bottom: -70px;
	z-index: 291;
	display: block;
    text-align: center;
    font-size: 25px;
    line-height: 55px;
	width: 55px;
    border-radius: 5px;
    background: rgba(255, 255, 255, 0.8);
	border: 2px solid var(--color-line);
    color: inherit;
	cursor: pointer;
}
body.compensate-for-scrollbar #Go_Top, body.windows-active #Go_Top {display: none;}	

#Go_Top:hover i {
    -webkit-animation: animArrow 1s infinite;
    animation: animArrow 1s infinite;
}

@keyframes animArrow {
  0% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
  50% {
    -webkit-transform: translateY(-5px);
            transform: translateY(-5px);
  }
  100% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}

#Go_Top i {margin: 0; display: inline-block;}
#Go_Top:hover {background: var(--color-3); color: #fff;}
#Go_Top.up {bottom: 70px;}

@media (max-width: 1200px) { #Go_Top {right: 0;} #Go_Top.up {bottom: 0;} }
@media (max-width: 576px) { #Go_Top {line-height: 45px; width: 45px;} }


/* Анимации */

.hidden {opacity: 0;}
.animated{animation-duration:1s;animation-fill-mode:both}
.animated.infinite{animation-iteration-count:infinite}
.animated.hinge{animation-duration:2s}

@keyframes fadeIn{0%{opacity:0}to{opacity:1}}
.fadeIn{animation-name:fadeIn}

@keyframes fadeInUp{0%{opacity:0;transform:translate3d(0,25%,0)}to{opacity:1;transform:none}}
.fadeInUp{animation-name:fadeInUp}

@keyframes fadeInLeft{0%{opacity:0;transform:translate3d(-25%,0,0)}to{opacity:1;transform:none}}
.fadeInLeft{animation-name:fadeInLeft}

@keyframes fadeInRight{0%{opacity:0;transform:translate3d(25%,0,0)}to{opacity:1;transform:none}}
.fadeInRight{animation-name:fadeInRight}

@keyframes pulse{0%{transform:scaleX(1)}50%{transform:scale3d(1.05,1.05,1.05)}to{transform:scaleX(1)}}
.pulse{animation-name:pulse}


